let fs = require('fs');
let paths = require('./paths');

let entries = {};

if (typeof String.prototype.endsWith != 'function') {
  String.prototype.endsWith = function(suffix) {
    return this.indexOf(suffix, this.length - suffix.length) !== -1;
  };
}

function walk(path) {
  let dirList = fs.readdirSync(path);
  dirList.forEach(function(item) {
    const p = path + '/' + item;
    if (!fs.statSync(p).isDirectory()) {
      if (item.endsWith('.js')) {
        const name = item.substr(0, item.length - 3);
        entries[name] = p;
      }
    } else {
      // walk(p);
    }
  });
  if (process.env.REACT_APP_LINK_MPUI === 'true') {
    entries['mp-ui'] = paths.resolveApp('./node_modules/@zhangcheck/mp-ui/mp-index.js');
  }
}

walk(paths.resolveApp('./src'));

module.exports = entries;
