import isWx from './isWx';
import { createBrowserHistory } from 'history';
import { list } from '../../../src/utils/tabbar.config';

export const history = createBrowserHistory();

let out;

// mp
IF(process.env.isMiniprogram)
function navigateTo (path) {
  let isTabbar = false;
  for(let i = 0; i < list.length; i ++) {
    if (list[i].pagePath === path.url) {
      isTabbar = true;
      break;
    }
  }
  if (isTabbar) {
    wx.switchTab(path);
  } else {
    wx.navigateTo(path);
  }
}
function getWxPath(path) {
  if (!path || path === '/' || path === '/pages') {
    return { url: '/pages/index' };
  }
  const matches = path.match(/([^?]*)(\??.*)/);
  if (matches) {
    const [a, main, params] = matches;
    if (!/index$/.test(main)) {
      return { url: `${main}/index${params}` };
    }
  }
  return { url: path };
}

out = {
  push: function(path) {
    navigateTo(getWxPath(path));
  },
  goBack: function() {
    wx.navigateBack();
  },
  replace: function(path) {
    navigateTo(getWxPath(path));
  },
  fresh: function(path) {
    navigateTo(getWxPath(path));
  },
}

// h5
ELSE
out = { ...history, fresh: function(path) {
    window.location.href = path;
  } }
END

export default out;
