import isWx from './isWx'

export function setItem(key, data) {
  if (isWx) {
    wx.setStorageSync(key, data)
  } else {
    localStorage.setItem(key, JSON.stringify(data))
  }
}

export function getItem(key) {
  if (isWx) {
    return wx.getStorageSync(key)
  } else {
    return JSON.parse(localStorage.getItem(key))
  }
}

export function removeItem(key) {
  if (isWx) {
    wx.removeStorageSync(key)
  } else {
    localStorage.removeItem(key)
  }
}
