// @flow
import React, { useRef } from 'react'
import fetch from '../fetch'
import './uploader.less'

/*type Props = {
  accept: string,
  action: string,
  actionOptions: {},
  data: {},
  beforeUpload: () => void,
  onChange: () => void,
}*/

// export default function Uploader(props: Props) {
export default function Uploader(props) {
  const { name = 'file', size = [100, 100], data, onChange, fileList } = props

  async function onChangeInput(e) {
    // 上传文件
    const formData = new FormData()
    formData.set(name, e.currentTarget.files[0])
    if (data) {
      Object.keys(data).forEach(p => {
        formData.set(p, data[p])
      })
    }
    const [errors, res] = await fetch(props.action, {
      method: 'POST',
      body: formData,
    })
    if (errors) {
      return onChange(errors, null)
    }
    onChange(null, res.data)
  }

  return (
    <div className={`${props.className || ''} am-uploader`} style={{ width: size[0], height: size[1] }}>
      <div>{fileList && <img style={{ width: '100%' }} src={fileList[0]} />}</div>
      <input type="file" onChange={onChangeInput} />
    </div>
  )
}
